=== service/CMakeLists.txt ===
INCLUDE(WindowsBuildHelpers)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src)

ADD_EXECUTABLE(veyon-service ${CMAKE_CURRENT_SOURCE_DIR}/src/main.cpp)
TARGET_LINK_LIBRARIES(veyon-service veyon-core)

ADD_WINDOWS_RESOURCE(veyon-service)
MAKE_GRAPHICAL_APP(veyon-service)

INSTALL(TARGETS veyon-service RUNTIME DESTINATION bin)

IF(VEYON_BUILD_LINUX)
    CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/veyon-service.service.in ${CMAKE_CURRENT_BINARY_DIR}/veyon-service.service @ONLY)
	IF(NOT SYSTEMD_SERVICE_INSTALL_DIR)
		SET(SYSTEMD_SERVICE_INSTALL_DIR /lib/systemd/system)
	ENDIF()
	INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/veyon-service.service DESTINATION ${SYSTEMD_SERVICE_INSTALL_DIR})
ENDIF()
