=== debian/changelog ===
veyon (4.1.7+repack1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>  Fri, 22 Jan 2021 12:29:40 +0800

veyon (4.1.7+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2001_disable-CPackDefinitions-cmake.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 11:07:06 +0100

veyon (4.1.6+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1001, 1002, 1003, 1004. All applied upstream.
    + Add 1001_fix-veyon-master-manpage-again.patch. Add missing hyphen in the
      man page's application name.
  * debian/control:
    + Use secure URL in Homepage: field.
    + Drop R (veyon-service): zenity or kde-baseapps-bin. Leftover from
      iTALC packaging (was requirement of the ica wrapper script).
    + Wrap line in LONG_DESCRIPTION of veyon-service.
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/*:
    + Use https://github.com/veyon/veyon URL in lower case letters everywhere.
  * debian/copyright:
    + Replace iTALC occurrence in the OpenSSL GPL-2 exception by the word
      Veyon.
    + Update copyright attributions.
  * debian/rules:
    + Remove more upstream files when repacking orig tarball.
  * debian/*.lintian-overrides:
    + Drop files. The epoch-changed-but-upstream-version-did-not-go-backwards
      override was only required for previous upload.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Jan 2019 10:48:20 +0100

veyon (4.1.4+repack1-1) unstable; urgency=medium

  * Upload to Debian as continuation of italc. (Closes: #887394).
  * pkexec support: Drop files. Upstream now implemented pkexec support and
    now hack-around is needed anymore for the Debian package.
  * debian/changelog:
    + Drop epoch in version as package name has changed.
  * debian/*.lintian-overrides:
    + Add epoch-changed-but-upstream-version-did-not-go-backwards overrides
      for upcoming / first veyon upload.
  * debian/patches:
    + Add 1001_fix-desktop-files.patch,
          1002_add-documentation-key-to-service-file.patch,
          1003_fix-man-page-section.patch,
          1004_improve-man-page-content.patch,
          2001_disable-CPackDefinitions-cmake.patch.
    + Drop 1005_gcc47-ftbfs.patch,
           2001_inject-buildtype-from-outside.patch.
  * debian/control:
    + Adapt to veyon. Drop Patrick Winnertz from Uploaders: list. Thanks for
      your previous work on iTalc in Debian.
    + Update Homepage: and Vcs-*: fields.
    + Use secure URLs. Packaging has been migrated to salsa.debian.org.
  * debian/compat:
    + Bump DH compat level to version 10 (as long as CDBS does not yet support
      version level 11).
  * debian/*.{install,manpages,links,docs,post*,pre*}: Adapt to Veyon.
  * debian/veyon-service.install (et al.):
    + Drop veyon-service wrapper, this was iTALC stuff.
  * debian/veyon-service.*:
    + Drop preseedable debconf configuration. What worked well with iTALC does
      not make sense with Veyon's absolutely flexible role model.
  * iTALC.conf.in / Veyon.conf.in:
    + Don't ship a config template, not needed for Veyon.
  * debian/watch: iTALC is now Veyon.
  * debian/README.setup:
    + Drop iTALC specific setup README. Does not apply to Veyon anymore.
  * debian/copyright:
    + Use secure URL for Debian copyright format reference.
    + Add comment on why we repack the orig sources.
    + Drop references to files removed while repacking.
    + Update auto-generated copyright.in file.
  * debian/rules (et al.):
    + Correctly copy icons into veyon-master bin:pkg. Provide 256x256
      veyon-master.png icon.
  * debian/man/:
    + Rename italc_auth_helper.1 to veyon-auth-helper.1 and adapt to Veyon.
  * debian/desktop/*.desktop:
    + Drop files. Not required in Veyon.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/docs:
    + Ship some documentation files.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Dec 2018 16:44:21 +0100

italc (1:3.0.3+dfsg1-2) unstable; urgency=medium

  * debian/control:
    + Add B-D: qttools5-dev. (Closes: #881090).
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/changelog, debian/man/*.1: White-space cleanup.
  * debian/copyright:
    + Remove file that is not present in upstrean sources anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Nov 2017 17:20:02 +0100

italc (1:3.0.3+dfsg1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Add README, explaining our patch naming scheme. Rename existing patches
      accordingly.
    + Update/rebase 2001_inject-buildtype-from-outside.patch.
  * debian/copyright:
    + Update copyright attributions (drop lib/include/Inject.h).
    + Update copyright attributions for debian/patches/.

  [ Gianfranco Costamagna ]
  * debian/{control,rules,libitalccore.install}:
    + Turn libitalccore into multi-arch library. (Closes: #850799).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 Jan 2017 10:46:10 +0100

italc (1:3.0.2.90+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Update autogenerated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Jan 2017 13:20:52 +0100

italc (1:3.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 001_set-static-libdir-and-rpath-for-cmake.patch,
      003_rename-plugin-dir.patch, 030_fix-man-pages.patch,
      031_fix-spelling-errors.patch. Applied or otherwise addressed
      upstream.
  * italc-client.postinst:
    + Make sure that the key directories exist before using imc for key
      creation.
  * debian/rules:
    + Fix flawed dbgsym migration.
    + In get-orig-source, drop more files not relevant for building iTALC on
      Linux.
  * debian/copyright:

