=== debian/rules ===
#!/usr/bin/make -f

NULL =

include /usr/share/dpkg/buildflags.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

common-binary-post-install-arch:: list-missing

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk

NULL  =
PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))

DEB_DH_INSTALL_SOURCEDIR = debian/tmp
DEB_DH_MAKESHLIBS_ARGS += -V

DEB_CMAKE_NORMAL_ARGS += -DCMAKE_SKIP_RPATH=OFF \
                         -DVEYON_X11VNC_EXTERNAL=ON \
                         $(NULL)

DEB_DH_SHLIBDEPS_ARGS_veyon-master = -L libVeyonCore -l debian/libveyoncore/usr/lib/*/veyon
DEB_DH_SHLIBDEPS_ARGS_veyon-client = -L libVeyonCore -l debian/libveyoncore/usr/lib/*/veyon
DEB_DH_SHLIBDEPS_ARGS_veyon-management-console = -L libVeyonCore -l debian/libveyoncore/usr/lib/*/veyon
DEB_DH_SHLIBDEPS_ARGS_libveyoncore = -L libVeyonCore -l debian/libveyoncore/usr/lib/*/veyon

common-install-arch::
	install -D -m 644 debian/icons/veyon-256x256.png debian/veyon-master/usr/share/icons/hicolor/256x256/apps/veyon-master.png
	install -D -m 644 core/resources/icon64.png debian/veyon-master/usr/share/icons/hicolor/64x64/apps/veyon-master.png
	install -D -m 644 core/resources/icon32.png debian/veyon-master/usr/share/icons/hicolor/32x32/apps/veyon-master.png
	install -D -m 644 core/resources/icon22.png debian/veyon-master/usr/share/icons/hicolor/22x22/apps/veyon-master.png
	install -D -m 644 core/resources/icon16.png debian/veyon-master/usr/share/icons/hicolor/16x16/apps/veyon-master.png

install/veyon-service::
	mkdir -p debian/tmp/usr/bin/
	mkdir -p debian/tmp/usr/lib/veyon/
	mkdir -p debian/tmp/etc/xdg/autostart/
	mkdir -p debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/usr/share/veyon/

clean::
	rm -f config.log
	rm -f config.status

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename  --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.bz2 --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	       .travis/ \
	       .travis.yml \
	       3rdparty/ddengine/ \
	       3rdparty/interception/ \
	       3rdparty/x11vnc/ \
	       3rdparty/ultravnc/ \
	       3rdparty/kldap/autotests/ \
	       3rdparty/kldap/kioslave/ \
	       3rdparty/libvncserver/client_example \
	       3rdparty/libvncserver/compat/ \
	       3rdparty/libvncserver/examples/ \
	       3rdparty/libvncserver/libvncserver/ \
	       3rdparty/libvncserver/webclients/ \
	       3rdparty/libvncserver/utils/ \
	       3rdparty/libvncserver/libvncserver.pc.cmakein \
	       cmake/build_mingw32 \
	       cmake/build_mingw64 \
	       cmake/modules/MinGWCrossCompile.cmake \
	       cmake/modules/Win32Toolchain.cmake \
	       cmake/modules/Win64Toolchain.cmake \
	       configurator/data/veyon-configurator.ico \
	       contrib/ \
	       master/data/veyon-master.ico \
	       nsis/ \
	       plugins/platform/windows/ \
	       ica/x11/common/sha1.* \
	       ica/win32/ \
	       $(NULL)
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"
